Page MenuHomePhabricator

Add 'sparcel' architecture to clang.
ClosedPublic

Authored by dougk on Apr 1 2015, 11:26 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

dougk updated this revision to Diff 23081.Apr 1 2015, 11:26 AM
dougk retitled this revision from to Add sparc_le architecture to clang..
dougk updated this object.
dougk edited the test plan for this revision. (Show Details)
dougk added a subscriber: Unknown Object (MLST).
dougk updated this revision to Diff 24496.Apr 27 2015, 12:31 PM

sparc_le is renamed to sparcel

adding reviewer

dougk retitled this revision from Add sparc_le architecture to clang. to Add 'sparcel' architecture to clang..Apr 29 2015, 1:35 PM
dougk added a reviewer: echristo.
echristo accepted this revision.May 6 2015, 2:16 PM
echristo added a reviewer: echristo.
echristo added a subscriber: echristo.

LGTM.

-eric

This revision is now accepted and ready to land.May 6 2015, 2:16 PM
chandlerc edited reviewers, added: chandlerc; removed: echristo.May 6 2015, 2:17 PM
chandlerc removed a subscriber: echristo.
This revision now requires review to proceed.May 6 2015, 2:17 PM
chandlerc requested changes to this revision.May 6 2015, 2:17 PM
chandlerc edited edge metadata.

Can you add some basic testing in test/Driver for the flag handling, and in test/Preprocessor for the macros that should be predefined?

This revision now requires changes to proceed.May 6 2015, 2:17 PM
dougk updated this revision to Diff 25332.May 8 2015, 8:00 AM
dougk edited edge metadata.

The preprocessor defines, 'as' flags, and 'ld' flags were coming out wrong (as Chandler guessed). Fix those.

chandlerc accepted this revision.May 8 2015, 8:30 AM
chandlerc edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 8 2015, 8:30 AM
This revision was automatically updated to reflect the committed changes.